VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigMultiple Class Reference

`Proxy.ProxyConfigMultiple` class Structure representing multiple proxy configuration. More...

List of all members.

## Public Member Functions
| ProxyConfigMultiple ()
| Creates a default new instance.
vmware.appliance.techpreview.networking.ProxyTypes.ProxyStatus | GetStatus ()
| proxy enabled or disabled This sets whether the proxy configuration is used.
void | SetStatus (vmware.appliance.techpreview.networking.ProxyTypes.ProxyStatus status)
| proxy enabled or disabled This sets whether the proxy configuration is used.
global::System.Collections.Generic.List < vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfig > | GetConfiglist ()
| List of proxy configuration.
void | SetConfiglist (global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfig > configlist)
| List of proxy configuration.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`Proxy.ProxyConfigMultiple` class Structure representing multiple proxy configuration.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigMultiple::ProxyConfigMultiple | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigMultiple::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigMultiple::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigMultiple::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigMultiple::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigMultiple::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigMultiple::Equals | ( | object | obj | ) | `[inline]`

global::System.Collections.Generic.List<vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfig> vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigMultiple::GetConfiglist | ( |  | ) | `[inline]`

List of proxy configuration.

override int vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigMultiple::GetHashCode | ( |  | ) | `[inline]`

vmware.appliance.techpreview.networking.ProxyTypes.ProxyStatus vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigMultiple::GetStatus | ( |  | ) | `[inline]`

proxy enabled or disabled This sets whether the proxy configuration is used.

void vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigMultiple::SetConfiglist | ( | global::System.Collections.Generic.List< vmware.appliance.techpreview.networking.ProxyTypes.ProxyConfig > | configlist | ) | `[inline]`

List of proxy configuration.

void vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigMultiple::SetStatus | ( | vmware.appliance.techpreview.networking.ProxyTypes.ProxyStatus | status | ) | `[inline]`

proxy enabled or disabled This sets whether the proxy configuration is used.

override string vmware::appliance::techpreview::networking::ProxyTypes::ProxyConfigMultiple::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- ProxyTypes.cs